Subject: Re: bug#23895: sed documentation error

From: Assaf Gordon <[email-masked]>
Date: Mon, 4 Jul 2016 18:58:20 -0400

tag 23895 confirmed
stop

Hello Phil,

Thank you for reporting this issue.

> On Jul 4, 2016, at 10:43, Phil Hartman <[email-masked]> wrote:
> 
> Current:     # replace all leading 9s by _ (any other character except digits, could

The wording has been corrected in this commit:
  http://git.savannah.gnu.org/cgit/sed.git/commit/?id=b63b14863195a56fab16f4d42728cc5ec3f92cb7
And was included in sed-4.2.2 .
If your system has sed-4.2.1 or older (not unheard of), then it includes the incorrect wording.

Additionally, I see that the online documentation on the website is quite old,
and hasn't been updated since 2010 and thus contains the incorrect wording ( https://www.gnu.org/software/sed/manual/ ).

I'll update it soon, and I'll leave this bug report open until it is updated.

regards,
 - assaf